at.chipkarte.client.muhi.soap

## Interface IMuhiService

-     public interface IMuhiService

  Dieses Service stellt die Funktionalitäten des Mutterschaftshilfe Services (MUHI) Version 1 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbsolutesBeschaeftigungsverbotMeldung` | `absolutesBeschaeftigungsverbotEinmelden(String dialogId, AbsolutesBeschaeftigungsverbotRequest req)` Erstellt ein absolutes Beschäftigungsverbot.
    `Anspruchsdaten` | `anspruchPruefen(String dialogId, String vsnr, String cardToken, String voraussichtlicherGeburtstermin)` Diese Funktion prüft, ob die (durch Sozialversicherungsnummer oder CardToken identifizierte) Patientin mindestens einen für MUHI gültigen Anspruch hat.
    `Detaildaten` | `detaildatenAbfragen(String dialogId, long meldungsId)` Dient zum Abfragen der Detaildaten einer Meldung.
    `Meldungsuebersicht[]` | `eigeneMeldungenSuchen(String dialogId, Suchparameter suchparameter)` Dient zur Abfrage von Überblicksdaten von selbsterstellten Meldungen.
    `IndividuellesBeschaeftigungsverbotMeldung` | `individuellesBeschaeftigungsverbotEinmelden(String dialogId, IndividuellesBeschaeftigungsverbotRequest req)` Erstellt ein individuelles Beschäftigungsverbot.
    `Detaildaten` | `meldungStornieren(String dialogId, long meldungsId)` Storniert die angegebene Meldung.

- - ### Method Detail

    - #### anspruchPruefen

          Anspruchsdaten anspruchPruefen(String dialogId,
                                         String vsnr,
                                         String cardToken,
                                         String voraussichtlicherGeburtstermin)
                                  throws MuhiException,
                                         AccessException,
                                         DialogException,
                                         ServiceException

      Diese Funktion prüft, ob die (durch Sozialversicherungsnummer oder CardToken identifizierte) Patientin mindestens einen für MUHI gültigen Anspruch hat. Gleichzeitig werden ihre Personendaten ermittelt und aus dem voraussichtlichen Geburtstermin die Schwangerschaftswoche berechnet.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `MUHI_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - dialogId Id eines gültigen Dialogs.
        Angabe: Muss.
        `vsnr` - Sozialversicherungsnummer der Patientin.
        Format: 10-stellig
        Angabe: Bedingt. Entweder die SV-Nummer ist angegeben oder ein CardToken muss angegeben sein.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Entweder die SV-Nummer oder ein CardToken muss angegeben sein. Wird die SV-Nummer gemeinsam mit dem CardToken angegeben, so muss muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `voraussichtlicherGeburtstermin` - der voraussichtliche Geburtstermin
        Format: TT.MM.JJJJ
        Angabe: Muss.
      Returns:
        Personendaten der Patientin und Schwangerschaftswoche
      Throws:
        `MuhiException` - `NEITHER_ECARD_NOR_VSNR`, `VNSR_UNKNOWN`, `NO_ANSPRUCH`, `VORAUSSICHTLICHER_GEBURTSTERMIN_REQUIRED`, `VORAUSSICHTLICHER_GEBURTSTERMIN_FORMAT`, `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID`, `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID2`, `VSNR_FORMAT`, `VSNR_INVALID`
        `AccessException` - `MISSING_MUHI_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID` `CARD_INVALID`, `MULTIPLE_DIALOGID` `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### absolutesBeschaeftigungsverbotEinmelden

          AbsolutesBeschaeftigungsverbotMeldung absolutesBeschaeftigungsverbotEinmelden(String dialogId,
                                                                                        AbsolutesBeschaeftigungsverbotRequest req)
                                                                                 throws MuhiException,
                                                                                        AccessException,
                                                                                        DialogException,
                                                                                        ServiceException

      Erstellt ein absolutes Beschäftigungsverbot.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `MUHI_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - dialogId Id eines gültigen Dialogs.
        Angabe: Muss.
        `req` - Meldungsdaten zur Erfassung, siehe `AbsolutesBeschaeftigungsverbotRequest`.
        Angabe: Muss.
      Returns:
        die Daten der neu erstellten Meldung inklusive Druckdarstellung, siehe `AbsolutesBeschaeftigungsverbotMeldung`.
      Throws:
        `MuhiException` - `NEITHER_ECARD_NOR_VSNR`, `VNSR_UNKNOWN`, `NO_ANSPRUCH`, `VORAUSSICHTLICHER_GEBURTSTERMIN_REQUIRED`, `VORAUSSICHTLICHER_GEBURTSTERMIN_FORMAT`, `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID`, `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID2`, `VSNR_FORMAT`, `VSNR_INVALID`, `STRASSE_REQUIRED`, `STRASSE_FORMAT`, `ORT_REQUIRED`, `ORT_FORMAT`, `POSTLEITZAHL_REQUIRED`, `POSTLEITZAHL_FORMAT`, `STAATENCODE_REQUIRED`, `STAATENCODE_FORMAT`, `STAATENCODE_INVALID`, `ABS_VERBOT_TOO_EARLY`, `ADRESSE_REQUIRED`
        `AccessException` - `MISSING_MUHI_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID` `CARD_INVALID`, `MULTIPLE_DIALOGID` `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### individuellesBeschaeftigungsverbotEinmelden

          IndividuellesBeschaeftigungsverbotMeldung individuellesBeschaeftigungsverbotEinmelden(String dialogId,
                                                                                                IndividuellesBeschaeftigungsverbotRequest req)
                                                                                         throws MuhiException,
                                                                                                AccessException,
                                                                                                DialogException,
                                                                                                ServiceException

      Erstellt ein individuelles Beschäftigungsverbot.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `MUHI_CORE` und `MUHI_IND`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - dialogId Id eines gültigen Dialogs.
        Angabe: Muss.
        `req` - Meldungsdaten zur Erfassung, siehe `IndividuellesBeschaeftigungsverbotRequest`.
        Angabe: Muss.
      Returns:
        die Daten der neu erstellten Meldung inklusive Druckdarstellung, siehe `IndividuellesBeschaeftigungsverbotMeldung`.
      Throws:
        `MuhiException` - `NEITHER_ECARD_NOR_VSNR`, `VNSR_UNKNOWN`, `NO_ANSPRUCH`, `VORAUSSICHTLICHER_GEBURTSTERMIN_REQUIRED`, `VORAUSSICHTLICHER_GEBURTSTERMIN_FORMAT`, `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID`, `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID2`, `VSNR_FORMAT`, `VSNR_INVALID`, `STRASSE_REQUIRED`, `STRASSE_FORMAT`, `ORT_REQUIRED`, `ORT_FORMAT`, `POSTLEITZAHL_REQUIRED`, `POSTLEITZAHL_FORMAT`, `STAATENCODE_REQUIRED`, `STAATENCODE_FORMAT`, `STAATENCODE_INVALID`, `ADRESSE_REQUIRED`, `TOO_LATE_FOR_INDIVIDUELLES_VERBOT`, `VORDATIERT_FORBIDDEN`, `BEGRUENDUNG_VORDATIERUNG_REQUIRED`, `BEGRUENDUNG_VORDATIERUNG_FORMAT`, `BEGRUENDUNG_VORDATIERUNG_FORBIDDEN`, `DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_REQUIRED`, `DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_INVALID`, `BEGRUENDUNG_REQUIRED`, `BEGRUENDUNG_INVALID`, `BEGRUENDUNG_INVALID2`, `BEGRUENDUNG_INVALID_FOR_VORDATIERUNG`, `ZUSATZBEGRUENDUNG_REQUIRED`, `ZUSATZBEGRUENDUNG_FORMAT`, `ZUSATZBEGRUENDUNG_FORBIDDEN`
        `AccessException` - `MISSING_MUHI_CORE`, `MISSING_MUHI_IND`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID` `CARD_INVALID`, `MULTIPLE_DIALOGID` `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eigeneMeldungenSuchen

          Meldungsuebersicht[] eigeneMeldungenSuchen(String dialogId,
                                                     Suchparameter suchparameter)
                                              throws MuhiException,
                                                     AccessException,
                                                     DialogException,
                                                     ServiceException

      Dient zur Abfrage von Überblicksdaten von selbsterstellten Meldungen. Die Suche kann mittels Suchkriterien eingeschränkt werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `MUHI_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - dialogId Id eines gültigen Dialogs.
        Angabe: Muss.
        `suchparameter` - Die Suchparameter dienen zur Einschränkung der Ergebnisse, siehe `Suchparameter`.
        Angabe: Kann.
      Returns:
        Liste von Überblicksdaten der ermittelten Meldungen, siehe `Meldungsuebersicht`.
      Throws:
        `MuhiException` - `ERSTELLT_AB_FORMAT`, `ERSTELLT_AB_INVALID`, `ERSTELLT_BIS_FORMAT`, `ERSTELLT_BIS_INVALID`, `ERSTELLT_BIS_INVALID2`, `VORAUSSICHTLICHES_GEBURTSDATUM_AB_FORMAT`, `VORAUSSICHTLICHES_GEBURTSDATUM_AB_INVALID`, `VORAUSSICHTLICHES_GEBURTSDATUM_BIS_FORMAT`, `VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID`, `VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID2`, `TYP_INVALID`, `ART_INVALID`, `NO_RESULTS`, `TOO_MANY_RESULTS`
        `AccessException` - `MISSING_MUHI_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID` `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### detaildatenAbfragen

          Detaildaten detaildatenAbfragen(String dialogId,
                                          long meldungsId)
                                   throws MuhiException,
                                          AccessException,
                                          DialogException,
                                          ServiceException

      Dient zum Abfragen der Detaildaten einer Meldung.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `MUHI_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - dialogId Id eines gültigen Dialogs.
        Angabe: Muss.
        `meldungsId` - Id einer Meldung.
        Angabe: Muss.
      Returns:
        die Detaildaten der angegebenen Meldung, siehe `Detaildaten`.
      Throws:
        `MuhiException` - `NO_ENTRY_FOR_ID`, `ACCESS_FORBIDDEN`
        `AccessException` - `MISSING_MUHI_CORE`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID` `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### meldungStornieren

          Detaildaten meldungStornieren(String dialogId,
                                        long meldungsId)
                                 throws MuhiException,
                                        AccessException,
                                        DialogException,
                                        ServiceException

      Storniert die angegebene Meldung. Die Meldung bleibt im System und ist weiterhin abrufbar.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `MUHI_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - dialogId Id eines gültigen Dialogs.
        Angabe: Muss.
        `meldungsId` - Id einer Meldung.
        Angabe: Muss.
      Returns:
        die Detaildaten der stornierten Meldung, siehe `Detaildaten`.
      Throws:
        `MuhiException` - `NO_ENTRY_FOR_ID`, `ACCESS_FORBIDDEN`, `ALREADY_CANCELLED`
        `AccessException` - `MISSING_MUHI_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID` `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`